Phar::addFile
Phar::apiVersion
Phar
PHP Manual

# Phar::addFromString

(No version information available, might be only in CVS)

Phar::addFromString — Add a file from the filesystem to the phar archive

### Description

bool Phar::addFromString ( string `$localname` , string `$contents` )

> Note: This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

With this method, any string can be added to the phar archive. The file will be stored in the archive with localname as its path. This method is similar to ZipArchive::addFromString().

### Parameters

`localname`

  Path that the file will be stored in the archive.

`contents`

  The file contents to store

### Return Values

no return value, exception is thrown on failure.

### Examples

Example #1 A Phar::addFromString() example

`<?php
try {
$a = new Phar('/path/to/phar.phar');
$a->addFromString('path/to/file.txt', 'my simple file');
$b = $a['path/to/file.txt']->getContent();
// to add contents from a stream handle for large files, use offsetSet()
$c = fopen('/path/to/hugefile.bin');
$a['largefile.bin'] = $c;
fclose($c);
} catch (Exception $e) {
// handle errors here
}
?>`

### See Also

- Phar::offsetSet()
- PharData::addFromString()
- Phar::addFile()
- Phar::addEmptyDir()

Phar::addFile
Phar::apiVersion
Phar
PHP Manual